unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, DFAnim, ExtCtrls;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    BitBtn5: TBitBtn;
    BitBtn6: TBitBtn;
    Panel1: TPanel;
    DFAnimate1: TDFAnimate;
    Panel2: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Panel3: TPanel;
    BitBtn7: TBitBtn;
    BitBtn8: TBitBtn;
    Panel4: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    SpeedButton5: TSpeedButton;
    procedure DFAnimate1ChangePic(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure BitBtn5Click(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure BitBtn7Click(Sender: TObject);
    procedure BitBtn8Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DFAnimate1ChangePic(Sender: TObject);
begin

  case DFAnimate1.Tag of
    1: if DFAnimate1.AktPic = 19 then DFAnimate1.AktPic := 0;   { Film 1 }
    2: if DFAnimate1.AktPic = 39 then DFAnimate1.AktPic := 20;  { Film 2 }
    3: if DFAnimate1.AktPic = 59 then DFAnimate1.AktPic := 40;  { Film 3 }
    4: if DFAnimate1.AktPic = 79 then DFAnimate1.AktPic := 60;  { Film 4 }
    5: if DFAnimate1.AktPic = 79 then DFAnimate1.Interval := 0; { Alles einmal }
  end;
    
  Panel2.Caption := IntToStr(DFAnimate1.Interval);
  Panel3.Caption := IntToStr(DFAnimate1.AktPic);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  DFAnimate1.Tag := 0;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 0;       { Startbild festlegen }
  DFAnimate1.Interval := 100;   { Animation starten, wenn noch nicht gestartet }
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  DFAnimate1.Tag := 1;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 0;       { Startbild festlegen }
  DFAnimate1.Interval := 100;   { Animation starten, wenn noch nicht gestartet }
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  DFAnimate1.Tag := 2;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 20;      { Startbild festlegen }
  DFAnimate1.Interval := 100;   { Animation starten, wenn noch nicht gestartet } 
end;

procedure TForm1.BitBtn4Click(Sender: TObject);
begin
  DFAnimate1.Tag := 3;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 40;      { Startbild festlegen }
  DFAnimate1.Interval := 100;   { Animation starten, wenn noch nicht gestartet }
end;

procedure TForm1.BitBtn5Click(Sender: TObject);
begin
  DFAnimate1.Tag := 4;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 60;      { Startbild festlegen }
  DFAnimate1.Interval := 100;   { Animation starten, wenn noch nicht gestartet }
end;

procedure TForm1.BitBtn6Click(Sender: TObject);
begin
  DFAnimate1.Tag := 5;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 0;       { Startbild festlegen }
  DFAnimate1.Interval := 100;   { Animation starten, wenn noch nicht gestartet }
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  DFAnimate1.Tag := 0;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.AktPic := 0;
  DFAnimate1.Interval := 100;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
  DFAnimate1.Tag := 0;          { In Tag sichern wer die Animation Steuert }
  if DFAnimate1.Interval = 0 then 
     DFAnimate1.Interval := 100
  else
     DFAnimate1.Interval := 0;
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);
begin
  DFAnimate1.Tag := 0;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.Interval := 0;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject);
begin
  DFAnimate1.Tag := 0;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.Interval := 0;
  DFAnimate1.AktPic := DFAnimate1.AktPic - 1;
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);
begin
  DFAnimate1.Tag := 0;          { In Tag sichern wer die Animation Steuert }
  DFAnimate1.Interval := 0;
  DFAnimate1.AktPic := DFAnimate1.AktPic + 1;
end;

procedure TForm1.BitBtn7Click(Sender: TObject);
begin
  BitBtn1.Enabled := True;  { Schalter fr diese Animation an }
  BitBtn2.Enabled := True;
  BitBtn3.Enabled := True;
  BitBtn4.Enabled := True;
  BitBtn5.Enabled := True;
  BitBtn6.Enabled := True;
  DFAnimate1.Picture.LoadFromFile('ANIM.BMP');
  DFAnimate1.Cols := 20;
  DFAnimate1.Rows := 4;
  DFAnimate1.invalidate;
end;

procedure TForm1.BitBtn8Click(Sender: TObject);
begin
  BitBtn1.Enabled := False;  { Schalter fr diese Animation aus }
  BitBtn2.Enabled := False;
  BitBtn3.Enabled := False;
  BitBtn4.Enabled := False;
  BitBtn5.Enabled := False;
  BitBtn6.Enabled := False;
  DFAnimate1.Picture.LoadFromFile('ALLDOG.BMP');
  DFAnimate1.Cols := 6;
  DFAnimate1.Rows := 4;
  DFAnimate1.invalidate;
end;

end.
 