unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Dfcopy, StdCtrls, DFAnim, ExtCtrls, DFGauge, Dfbibtn,
  FileCtrl;

type
  TForm1 = class(TForm)
    Button1: TButton;
    DFAnimate1: TDFAnimate;
    DFCopy1: TDFCopy;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    DFGauge1: TDFGauge;
    DFGauge2: TDFGauge;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    GroupBox2: TGroupBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Edit2: TEdit;
    DriveComboBox2: TDriveComboBox;
    DirectoryListBox2: TDirectoryListBox;
    Button2: TButton;
    GroupBox3: TGroupBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure DFCopy1End(Sender: TObject);
    procedure DFCopy1Start(Sender: TObject);
    procedure DFCopy1Change(Sender: TObject; Files: Integer; SourceFileName,
      DestFileName: String);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure DriveComboBox2Change(Sender: TObject);
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure DirectoryListBox2Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  DFCopy1.Source := Edit1.Text;
  DFCopy1.Dest := Edit2.Text;

  Panel2.Caption := 'Kopiervorgang luft...';

  if DFCopy1.Copy then
    Panel2.Caption := 'Dateien erfolgreich Kopiert'
  else
    Panel2.Caption := 'Dateien nicht Kopiert';
end;

procedure TForm1.DFCopy1Start(Sender: TObject);
begin
  DFAnimate1.Interval := 100;
end;

procedure TForm1.DFCopy1End(Sender: TObject);
begin
  DFAnimate1.Interval := 0;
end;

procedure TForm1.DFCopy1Change(Sender: TObject; Files: Integer;
  SourceFileName, DestFileName: String);
begin
  Panel1.Caption := IntToStr(Files) + ' - ' + SourceFileName + ' -> ' + DestFileName;
  Panel1.Refresh;

end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  ShowMessage('Noch nicht in DFTool 2 integriert!');
  {DFCopy1.CheckVersion := CheckBox1.Checked;}
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  DFCopy1.OverWrite := CheckBox2.Checked;
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  DFCopy1.ProcessMessages := CheckBox3.Checked;
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  DFCopy1.CopyDate := CheckBox4.Checked;
end;

procedure TForm1.CheckBox5Click(Sender: TObject);
begin
  DFCopy1.ShowCopyDialog := CheckBox5.Checked;
end;

procedure TForm1.CheckBox6Click(Sender: TObject);
begin
  DFCopy1.CopyAttrib := CheckBox6.Checked;
end;

procedure TForm1.DriveComboBox1Change(Sender: TObject);
begin
  DirectoryListBox1.Drive := DriveComboBox1.Drive;
end;

procedure TForm1.DriveComboBox2Change(Sender: TObject);
begin
 DirectoryListBox2.Drive := DriveComboBox2.Drive;
end;

procedure TForm1.DirectoryListBox1Change(Sender: TObject);
begin
  Edit1.Text := DFCopy1.CheckPfadName(DirectoryListBox1.Directory) + '*.*';
end;

procedure TForm1.DirectoryListBox2Change(Sender: TObject);
begin
  Edit2.Text := DirectoryListBox2.Directory;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DriveComboBox1.Drive := 'C';
  DriveComboBox2.Drive := 'C';
  DirectoryListBox1.Directory := 'C:\';
  DirectoryListBox2.Directory := 'C:\TEMP\';
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  DFCopy1.CopyFile('C:\AUTOEXEC.BAT', 'C:\TEMP\Sicher\AUTOEXEC.BAT', False);
  DFCopy1.CopyFile('C:\CONFIG.SYS', 'C:\TEMP\Sicher\CONFIG.SYS', False);
  DFCopy1.CopyFile('C:\WIN\PROTOCOL.INI', 'C:\TEMP\Sicher\', False);
  DFCopy1.CopyFile('C:\WIN\SYSTEM.INI', 'C:\TEMP\Sicher\', False);
  DFCopy1.CopyFile('C:\WIN\WIN.INI', 'C:\TEMP\Sicher\', False);
  DFCopy1.CopyFile('C:\WIN\USER.DAT', 'C:\TEMP\Sicher', False);
  DFCopy1.CopyFile('C:\WIN\SYSTEM.DAT', 'C:\TEMP\Sicher', False);
  DFCopy1.CopyFile('C:\*.*', 'C:\TEMP\Root\', True);
end;


end.
