unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Dfini, StdCtrls, ExtCtrls, Dffntcbo;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    Memo1: TMemo;
    Button1: TButton;
    FontDialog1: TFontDialog;
    GroupBox2: TGroupBox;
    Edit1: TEdit;
    GroupBox3: TGroupBox;
    CheckBox1: TCheckBox;
    GroupBox4: TGroupBox;
    ScrollBar1: TScrollBar;
    Panel1: TPanel;
    DFINI1: TDFINI;
    procedure ScrollBar1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure DFINI1ReadINI(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure DFINI1WriteINI(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ScrollBar1Change(Sender: TObject);
begin
  Panel1.Caption := IntToStr(ScrollBar1.Position);
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  FontDialog1.Font := Memo1.Font;
  if FontDialog1.Execute then
  begin
    Memo1.Font := FontDialog1.Font; { neuer Font fr Memo1 }
  end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DFINI1.ReadINI;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DFINI1.WriteINI;
end;

procedure TForm1.DFINI1ReadINI(Sender: TObject);
begin
  { Ob die Window-Position gespeichert werden soll, knnen sie
    im Objectinspector mit der Eigenschaft SaveWinPos einstellen}
  { String lesen }
  Edit1.Text := DFINI1.INIReadString('Settings_STRING', 'String', 'DEFAULT');
  { Boolean lesen }
  CheckBox1.Checked := DFINI1.INIReadBool('Settings_BOOL', 'Bool', False);
  { Integer lesen }
  ScrollBar1.Position := DFINI1.INIReadInteger('Settings_INTEGER', 'Integer', 0);
  { Font laden }
  DFINI1.INILoadFont('Settings_FONT', 'Font', Memo1.Font);
end;

procedure TForm1.DFINI1WriteINI(Sender: TObject);
begin
  { String schreiben }
  DFINI1.INIWriteString('Settings_STRING', 'String', Edit1.Text);
  { Boolean schreiben }
  DFINI1.INIWriteBool('Settings_BOOL', 'Bool', CheckBox1.Checked);
  { Integer schreiben }
  DFINI1.INIWriteInteger('Settings_INTEGER', 'Integer', ScrollBar1.Position);
  { Font sichen }
  DFINI1.INISaveFont('Settings_FONT', 'Font', Memo1.Font);
end;

end.
