unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Dfreg;

type
  TForm1 = class(TForm)
    DFRegister1: TDFRegister;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    chkShowRegisterDlg: TCheckBox;
    txtDlgCaption: TEdit;
    txtINIFile: TEdit;
    txtKey0: TEdit;
    txtKey1: TEdit;
    txtKey2: TEdit;
    BitBtn3: TBitBtn;
    Label6: TLabel;
    txtChkInterval: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure txtDlgCaptionChange(Sender: TObject);
    procedure txtINIFileChange(Sender: TObject);
    procedure txtKey0Change(Sender: TObject);
    procedure txtKey1Change(Sender: TObject);
    procedure txtKey2Change(Sender: TObject);
    procedure chkShowRegisterDlgClick(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure DFRegister1Unregistered(Sender: TObject);
    procedure DFRegister1RegRemember(Sender: TObject);
    procedure txtChkIntervalChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  txtDlgCaption.Text := DFRegister1.DlgCaption;
  txtINIFile.Text := DFRegister1.INIFile;
  txtKey0.Text := DFRegister1.Key0;
  txtKey1.Text := IntToStr(DFRegister1.Key1);
  txtKey2.Text := IntToStr(DFRegister1.Key2);
  chkShowRegisterDlg.Checked := DFRegister1.ShowRegisterDlg;
  txtChkInterval.Text := IntToStr(DFRegister1.ChkInterval);
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  if DFRegister1.CheckKey then
    ShowMessage('Hallo ' + REGVorname + ' ' + REGName + '. Du hast einen gltigen Key')
  else
    ShowMessage('Der Key >' + REGKey + '< ist ungltig');
  {
  Folgende Variablen der Unit DFReg knnen abgefragt werden
  REGName    = Nachname
  REGVorName = Vorname
  REGStrasse = Strasse
  REGPLZ     = Postleitzahl
  REGOrt     = Ort
  REGKey     = Key
  }
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  DFRegister1.MakeKey;
end;

procedure TForm1.txtDlgCaptionChange(Sender: TObject);
begin
  DFRegister1.DlgCaption := txtDlgCaption.Text;
end;

procedure TForm1.txtINIFileChange(Sender: TObject);
begin
  DFRegister1.INIFile := txtINIFile.Text;
end;

procedure TForm1.txtKey0Change(Sender: TObject);
begin
  DFRegister1.Key0 := txtKey0.Text;
end;

procedure TForm1.txtKey1Change(Sender: TObject);
begin
  DFRegister1.Key1 := StrToInt('0'+txtKey1.Text);
end;

procedure TForm1.txtKey2Change(Sender: TObject);
begin
  DFRegister1.Key2 := StrToInt('0'+txtKey2.Text);
end;

procedure TForm1.chkShowRegisterDlgClick(Sender: TObject);
begin
  DFRegister1.ShowRegisterDlg := chkShowRegisterDlg.Checked;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  if DFRegister1.ShowRegDlg then { Anwender hat mit OK besttigt }
    DFRegister1.CheckKey;        { berprfen der Anwenderdaten
                                   OnUnregistered wird bei Bedarf aufgerufen }
end;

procedure TForm1.DFRegister1Unregistered(Sender: TObject);
begin
  ShowMessage('OnUnregistered wurde aufgerufen');
end;

procedure TForm1.DFRegister1RegRemember(Sender: TObject);
begin
  ShowMessage('Registriererinnerung');
end;

procedure TForm1.txtChkIntervalChange(Sender: TObject);
begin
  DFRegister1.ChkInterval := StrToInt('0'+txtChkInterval.Text);
end;

end.
