unit unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Tabs, ExtCtrls, FileCtrl, StdCtrls, DFGrabBa, Buttons,
  Grids, Outline, DirOutln, DfBlink;

type
  TfrmDFGrabBar = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    TabSet1: TTabSet;
    DFGrabBar1: TDFGrabBar;
    DirectoryListBox1: TDirectoryListBox;
    FileListBox1: TFileListBox;
    Panel3: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    DFBlinker1: TDFBlinker;
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure TabSet1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmDFGrabBar: TfrmDFGrabBar;

implementation

{$R *.DFM}

procedure TfrmDFGrabBar.FormActivate(Sender: TObject);
var 
  Drive: Byte;
  ErrorMode: Word;
begin

  TabSet1.Tabs.Clear;                            { Tabs lschen }
  ErrorMode := SetErrorMode(SEM_FAILCRITICALERRORS);  { Fehlerberwachung aus }
  try
    For Drive := 3 to 26 do                      { Laufwerk C-Z Testen }     
      begin
        if DiskSize(Drive) <> -1 then            { Laufwerk vorhanden }
           TabSet1.Tabs.Add(Chr(64+Drive)+':');  { Laufwerk anzeigen }
      end;
  finally
    SetErrorMode(ErrorMode);                     { Fehlerberwachung wieder ein }
  end;

  DirectoryListBox1.Directory := 'C:\';          { C sollte immer da sein }

end;

procedure TfrmDFGrabBar.DirectoryListBox1Change(Sender: TObject);
begin
  FileListBox1.Directory := DirectoryListBox1.Directory;  { anderes Verzeichnis ausgewhlt }
end;

procedure TfrmDFGrabBar.TabSet1Change(Sender: TObject; NewTab: Integer;
  var AllowChange: Boolean);
begin
  DirectoryListBox1.Directory := TabSet1.Tabs[NewTab]+'\';  { anderes Laufwerk ausgewhlt }
end;

procedure TfrmDFGrabBar.BitBtn1Click(Sender: TObject);
begin
  DFGrabBar1.Style := dfgbVertical;              { vertikale Ausrichtung der GrabBar }
  DFGrabBar1.Left := 230;
end;

procedure TfrmDFGrabBar.BitBtn2Click(Sender: TObject);
begin
  DFGrabBar1.Style := dfgbHorizontal;            { horizontale Ausrichtung der GrabBar }
  DFGrabBar1.Top := 150;
end;

end.
 